Subject: Re: bug#47217: generic-html updater does not work with sqlite package

From: Ludovic Courtès <[email-masked]>
Date: Wed, 24 Jan 2024 18:33:28 +0100

Hi!

Maxim Cournoyer <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Léo Le Bouter <[email-masked]> skribis:
>>
>>> +   (properties
>>> +    `((release-monitoring-url . "https://sqlite.org/download.html")))
>>
>> Unfortunately this page uses JavaScript.  Without JS, you get:
>>
>>   <a id='a2' href='hp1.html'>sqlite-autoconf-3350200.tar.gz</a><br>(2.82 MiB)</td>
>>
>> We’d need to find a web page that directly links to the tarball, but I
>> can’t seem to find such a page.
>
> Since the SQLite website doesn't seem amenable to discover new releases,
> perhaps we could switch the source to Git and let our git updater do its
> magic?

Switching the source to Git is probably a good idea but it has
additional implications: it adds more dependencies, and there’s a risk
of a cycle with ‘git-fetch’ for those using a daemon with
builtin:git-download, although a quick check suggests we’re fine:

--8<---------------cut here---------------start------------->8---
$ guix graph --path git-minimal sqlite
guix graph: error: no path from [email-masked]' to [email-masked]'
--8<---------------cut here---------------end--------------->8---

Ludo’.